/**
 * @since 1.0.0
 */
import { TextractClient } from "@aws-sdk/client-textract";
import * as Context from "effect/Context";
import * as Effect from "effect/Effect";
import * as Layer from "effect/Layer";
import { TextractClientInstanceConfig } from "./TextractClientInstanceConfig";
declare const TextractClientInstance_base: Context.TagClass<TextractClientInstance, "@effect-aws/client-textract/TextractClientInstance", TextractClient>;
/**
 * @since 1.0.0
 * @category tags
 */
export declare class TextractClientInstance extends TextractClientInstance_base {
}
/**
 * @since 1.0.0
 * @category constructors
 */
export declare const makeTextractClientInstance: Effect.Effect<TextractClient, never, TextractClientInstanceConfig>;
/**
 * @since 1.0.0
 * @category layers
 */
export declare const TextractClientInstanceLayer: Layer.Layer<TextractClientInstance, never, TextractClientInstanceConfig>;
/**
 * @since 1.0.0
 * @category layers
 */
export declare const DefaultTextractClientInstanceLayer: Layer.Layer<TextractClientInstance, never, never>;
export {};
